Bug 32738 - Correct upload local cover image title tag
Summary: Correct upload local cover image title tag
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 26703
Blocks:
  Show dependency treegraph
 
Reported: 2023-01-27 15:05 UTC by Owen Leonard
Modified: 2023-12-28 20:42 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.03


Attachments
Bug 32738: Correct upload local cover image title tag (3.07 KB, patch)
2023-01-27 18:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32738: Correct upload local cover image title tag (3.12 KB, patch)
2023-01-27 20:39 UTC, David Nind
Details | Diff | Splinter Review
Bug 32738: Correct upload local cover image title tag (3.17 KB, patch)
2023-01-30 23:01 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2023-01-27 15:05:24 UTC
The upload local cover image template still uses the old sequence of breadcrumb details: Koha -> Cataloging -> Upload local cover images (see 
Bug 26703 - Modify the "title" elements to contain unique information first). These elements should be reversed.
Comment 1 Owen Leonard 2023-01-27 18:20:11 UTC
Created attachment 145769 [details] [review]
Bug 32738: Correct upload local cover image title tag

This patch corrects the local cover image template's title tag so that
it conforms to the changes made in Bug 26703, 'Modify the "title"
elements to contain unique information first.'

The patch also makes minor corrections to the page's breadcrumbs.

To test you must have the LocalCoverImages system preference enabled.

- Apply the patch and go to Cataloging -> Upload local cover image.
- The page title should be correct:
  Upload local cover image › Cataloging › Koha
- The breadcrumbs should be:
  Home -> Cataloging -> Upload cover image
- Locate a bibliographic record and view its details.
- Click the "Images" tab, then the "Upload" button.
- The page title should now be
  Upload local cover image for [title] › Cataloging › Koha
- The breadcrumbs should now be:
  Home -> Cataloging -> Upload local cover image -> Upload cover for
  [title]
Comment 2 David Nind 2023-01-27 20:39:41 UTC
Created attachment 145776 [details] [review]
Bug 32738: Correct upload local cover image title tag

This patch corrects the local cover image template's title tag so that
it conforms to the changes made in Bug 26703, 'Modify the "title"
elements to contain unique information first.'

The patch also makes minor corrections to the page's breadcrumbs.

To test you must have the LocalCoverImages system preference enabled.

- Apply the patch and go to Cataloging -> Upload local cover image.
- The page title should be correct:
  Upload local cover image › Cataloging › Koha
- The breadcrumbs should be:
  Home -> Cataloging -> Upload cover image
- Locate a bibliographic record and view its details.
- Click the "Images" tab, then the "Upload" button.
- The page title should now be
  Upload local cover image for [title] › Cataloging › Koha
- The breadcrumbs should now be:
  Home -> Cataloging -> Upload local cover image -> Upload cover for
  [title]

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2023-01-30 23:01:25 UTC
Created attachment 145830 [details] [review]
Bug 32738: Correct upload local cover image title tag

This patch corrects the local cover image template's title tag so that
it conforms to the changes made in Bug 26703, 'Modify the "title"
elements to contain unique information first.'

The patch also makes minor corrections to the page's breadcrumbs.

To test you must have the LocalCoverImages system preference enabled.

- Apply the patch and go to Cataloging -> Upload local cover image.
- The page title should be correct:
  Upload local cover image › Cataloging › Koha
- The breadcrumbs should be:
  Home -> Cataloging -> Upload cover image
- Locate a bibliographic record and view its details.
- Click the "Images" tab, then the "Upload" button.
- The page title should now be
  Upload local cover image for [title] › Cataloging › Koha
- The breadcrumbs should now be:
  Home -> Cataloging -> Upload local cover image -> Upload cover for
  [title]

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2023-01-31 12:42:34 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 5 Jacob O'Mara 2023-01-31 17:47:30 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.
Comment 6 Lucas Gass 2023-02-03 21:48:12 UTC
Doesn't apply clean to 22.05.x, no backport